# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/dma/allwinner,sun4i-a10-dma.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 DMA Controller Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

allOf:
  - $ref: "dma-controller.yaml#"

properties:
  "#dma-cells":
    const: 2
    description:
      The first cell is either 0 or 1, the former to use the normal
      DMA, 1 for dedicated DMA. The second cell is the request line
      number.

  compatible:
    const: allwinner,sun4i-a10-dma

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

required:
  - "#dma-cells"
  - compatible
  - reg
  - interrupts
  - clocks

additionalProperties: false

examples:
  - |
    dma: dma-controller@1c02000 {
        compatible = "allwinner,sun4i-a10-dma";
        reg = <0x01c02000 0x1000>;
        interrupts = <27>;
        clocks = <&ahb_gates 6>;
        #dma-cells = <2>;
    };

...
